Package com.sas.lsaf.query.security.membership

## Class DistinctContextMembershipQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.security.membership.MembershipQuery
    - - com.sas.lsaf.query.security.membership.DistinctContextMembershipQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DistinctContextMembershipQuery
      extends MembershipQuery

  This class represents the criteria to query membership information.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` |
    `static Column` | `IMPLICIT` | The column that represents whether the member is implicit.

    - ### Fields inherited from class com.sas.lsaf.query.security.membership.MembershipQuery

      `CONTEXT_QUERIED, EXPLICIT, PRINCIPAL_NAME, PRINCIPAL_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistinctContextMembershipQuery​(java.lang.String contextPath)` | The constructor with all of the required fields.
    `DistinctContextMembershipQuery​(java.lang.String contextPath, ContextMembershipQuery.MembershipScope membershipScope)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContextMembershipQuery.MembershipScope` | `getMembershipScope()` | Gets whether to include in the output the assigned members, defined groups.
    `void` | `setMembershipScope​(ContextMembershipQuery.MembershipScope membershipScope)` | Sets whether to include assigned members, defined groups or all members at the specified context in the membership query output.

    - ### Methods inherited from class com.sas.lsaf.query.security.membership.MembershipQuery

      `getContextPath`

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IMPLICIT

          public static final Column IMPLICIT

      The column that represents whether the member is implicit. A member is implicit when they are a member only because they are part of a group.

    - #### ALL

          public static final java.util.List<Column> ALL

  - ### Constructor Detail

    - #### DistinctContextMembershipQuery

          public DistinctContextMembershipQuery​(java.lang.String contextPath)

      The constructor with all of the required fields.
      Parameters:
        `contextPath` - The path of the context in which to query membership information.

    - #### DistinctContextMembershipQuery

          public DistinctContextMembershipQuery​(java.lang.String contextPath,
                                                ContextMembershipQuery.MembershipScope membershipScope)

      Constructor.
      Parameters:
        `contextPath` - The path of the context in which to query membership information.
        `membershipScope` - Indicates whether to include in the output the assigned members, defined groups, or all members at the specified context.

  - ### Method Detail

    - #### getMembershipScope

          public ContextMembershipQuery.MembershipScope getMembershipScope()

      Gets whether to include in the output the assigned members, defined groups. or all members at the specified context.
      Returns:
        Indicates whether to include in the output the assigned members, defined groups. or all members at the specified context.

    - #### setMembershipScope

          public void setMembershipScope​(ContextMembershipQuery.MembershipScope membershipScope)

      Sets whether to include assigned members, defined groups or all members at the specified context in the membership query output.
      Parameters:
        `membershipScope` - Indicates whether to include assigned members, defined groups or all members at the specified context in the membership query output.